<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_white_bottom_cor10">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedScrollView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintHeight_max="@dimen/dp_400">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_parent"
                    android:layout_width="@dimen/dp_120"
                    android:layout_height="0dp"
                    android:background="@color/color_f6f6f6"
                    android:orientation="vertical"
                    android:overScrollMode="never"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:listitem="@layout/listitem_search_option_parent" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_child"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:overScrollMode="never"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/rv_parent"
                    tools:listitem="@layout/listitem_search_option_child" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_custom_time"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="@dimen/dp_16"
                android:paddingEnd="@dimen/dp_16"
                android:paddingBottom="@dimen/dp_12"
                android:visibility="gone"
                app:layout_constraintTop_toBottomOf="@id/layout_content"
                tools:visibility="visible">

                <View
                    app:layout_constraintTop_toTopOf="parent"
                    android:layout_width="match_parent"
                    android:background="@color/color_eeeeee"
                    android:layout_height="@dimen/dp_1"/>

                <TextView
                    android:id="@+id/tv_custom_time_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="自定义时间"
                    android:layout_marginTop="@dimen/dp_12"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_15"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_start_time"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_34"
                    android:layout_marginTop="@dimen/dp_20"
                    android:background="@drawable/shape_f6f6f6_cor4"
                    android:gravity="center"
                    android:hint="开始时间"
                    android:textColor="@color/color_1a1a1a"
                    android:textColorHint="@color/color_999999"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintEnd_toStartOf="@id/view_divider"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_custom_time_title" />

                <View
                    android:id="@+id/view_divider"
                    android:layout_width="@dimen/dp_26"
                    android:layout_height="@dimen/dp_1"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:background="@color/color_dddddd"
                    app:layout_constraintBottom_toBottomOf="@id/tv_start_time"
                    app:layout_constraintEnd_toStartOf="@id/tv_end_time"
                    app:layout_constraintStart_toEndOf="@id/tv_start_time"
                    app:layout_constraintTop_toTopOf="@id/tv_start_time" />

                <TextView
                    android:id="@+id/tv_end_time"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_34"
                    android:layout_marginTop="@dimen/dp_20"
                    android:background="@drawable/shape_f6f6f6_cor4"
                    android:gravity="center"
                    android:hint="结束时间"
                    android:textColor="@color/color_1a1a1a"
                    android:textColorHint="@color/color_999999"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/view_divider"
                    app:layout_constraintTop_toBottomOf="@id/tv_custom_time_title" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="@dimen/dp_12"
        android:paddingTop="@dimen/dp_14"
        android:paddingEnd="@dimen/dp_12"
        android:paddingBottom="@dimen/dp_14"
        app:layout_constraintTop_toBottomOf="@id/nestedScrollView">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_reset"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_40"
            android:text="重置"
            android:textColor="@color/color_9a9ea7"
            android:textSize="@dimen/sp_15"
            app:csb_activeEnable="true"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_ebf5ff"
            app:layout_constraintEnd_toStartOf="@id/btn_next"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_10"
            android:text="确定"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_15"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_reset"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>